package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF67D extends MwfRequest<MWF67D, MWF67DResponse> {

    @Parameter(name = "AAAdresat")
    MWF67D aAAdresat(String aAAdresat);
    @Parameter(name = "AACO")
    MWF67D aaco(String aaco);
    @Parameter(name = "AACP")
    MWF67D aacp(String aacp);
    @Parameter(name = "AACtvrt")
    MWF67D aACtvrt(String aACtvrt);
    @Parameter(name = "AAObec")
    MWF67D aAObec(String aAObec);
    @Parameter(name = "AAPSC")
    MWF67D aapsc(String aapsc);
    @Parameter(name = "AAPosta")
    MWF67D aAPosta(String aAPosta);
    @Parameter(name = "AAUlice")
    MWF67D aAUlice(String aAUlice);
    @Parameter(name = "AAZeme")
    MWF67D aAZeme(String aAZeme);
    @Parameter(name = "AutomatickeObnoveni")
    MWF67D automatickeObnoveni(String automatickeObnoveni);
    @Parameter(name = "BUProTransakciVkladu")
    MWF67D bUProTransakciVkladu(String bUProTransakciVkladu);
    @Parameter(name = "CIF")
    MWF67D cif(String cif);
    @Parameter(name = "Cache_Pouzit")
    MWF67D cachePouzit(Long cachePouzit);
    @Parameter(name = "Castka")
    MWF67D castka(Double castka);
    @Parameter(name = "DatumOtevreni")
    MWF67D datumOtevreni(java.util.Date datumOtevreni);
    @Parameter(name = "DatumSplatnosti")
    MWF67D datumSplatnosti(java.util.Date datumSplatnosti);
    @Parameter(name = "DatumUkonceni")
    MWF67D datumUkonceni(java.util.Date datumUkonceni);
    @Parameter(name = "DistibuceVypisu")
    MWF67D distibuceVypisu(String distibuceVypisu);
    @Parameter(name = "DruhVypisu")
    MWF67D druhVypisu(String druhVypisu);
    @Parameter(name = "DruheJmeno")
    MWF67D druheJmeno(String druheJmeno);
    @Parameter(name = "JistinaDispozice")
    MWF67D jistinaDispozice(String jistinaDispozice);
    @Parameter(name = "Jmeno")
    MWF67D jmeno(String jmeno);
    @Parameter(name = "Mena")
    MWF67D mena(String mena);
    @Parameter(name = "ObchodniJmeno")
    MWF67D obchodniJmeno(String obchodniJmeno);
    @Parameter(name = "ObchodniMistoKod")
    MWF67D obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "PeriodaObnoveni")
    MWF67D periodaObnoveni(String periodaObnoveni);
    @Parameter(name = "Prijmeni")
    MWF67D prijmeni(String prijmeni);
    @Parameter(name = "ProduktKod")
    MWF67D produktKod(String produktKod);
    @Parameter(name = "TitulPred")
    MWF67D titulPred(String titulPred);
    @Parameter(name = "TitulZa")
    MWF67D titulZa(String titulZa);
    @Parameter(name = "UcetJistinaBankaKod")
    MWF67D ucetJistinaBankaKod(String ucetJistinaBankaKod);
    @Parameter(name = "UcetJistinaCislo")
    MWF67D ucetJistinaCislo(String ucetJistinaCislo);
    @Parameter(name = "UcetUrokyBankaKod")
    MWF67D ucetUrokyBankaKod(String ucetUrokyBankaKod);
    @Parameter(name = "UcetUrokyCislo")
    MWF67D ucetUrokyCislo(String ucetUrokyCislo);
    @Parameter(name = "UlozPscBezKontroly")
    MWF67D ulozPscBezKontroly(String ulozPscBezKontroly);
    @Parameter(name = "UrednikPrimarni")
    MWF67D urednikPrimarni(String urednikPrimarni);
    @Parameter(name = "UrokDispozice")
    MWF67D urokDispozice(String urokDispozice);
    @Parameter(name = "UrokovaSazba")
    MWF67D urokovaSazba(Double urokovaSazba);
}
